| Qore FixedLengthUtil Module Reference 1.2.1

Public Member Functions | Protected Attributes | List of all members
FixedLengthUtil::FixedLengthBase Class Reference

Base class for fixed-length readers and writers. More...

Inheritance diagram for FixedLengthUtil::FixedLengthBase:
[legend]

## Public Member Functions
| constructor (hash< auto > m_specs, *hash< auto > m_opts)
| Creates the object from the record specifications.
*hash< string, AbstractDataField > | getRecordType ()
| Returns the description of the record type, if any.

## Protected Attributes
const | GlobalOptionMap = ...
| Translates from global options to data provider options.
*hash< auto > | m_opts
| Global input or output options.
hash< auto > | m_specs
| The record specifications.

## Detailed Description

Base class for fixed-length readers and writers.